package uniklu.games.spaceship;

import java.applet.AudioClip;
import java.applet.Applet;

public class SoundLib {
    AudioClip bgMusic, shot, xplode;

    public SoundLib() {
        initMusic();
    }

    private void initMusic() {
        bgMusic = Applet.newAudioClip(getClass().getResource("sfx/blastar2.mid"));
        xplode = Applet.newAudioClip(getClass().getResource("sfx/laser_canon.wav"));
        shot = Applet.newAudioClip(getClass().getResource("sfx/phase_array.wav"));
    }

    public void startBackgroundMusic() {
        bgMusic.play();
    }

    public void sfxShot() {
        shot.play();
    }

    public void sfxXplode() {
        xplode.play();
    }
}
